<template>
  <div class="result-page">
    <img :src="imgSrc" alt="">
    <text>{{ text }}</text>
    <u-button type="primary" :custom-style="{width:'100%',borderRadius:'4px',marginTop:'48px'}" @click="goBack">
      {{ btnText }}
    </u-button>
    <back></back>
  </div>
</template>

<script>
import Back from "../../../../components/AiBack"

export default {
  name: "handlePage",
  components: {Back},
  data() {
    return {
      flag: true
    }
  },
  onLoad(val) {
    if (val.flag) {
      this.flag = val.flag
    }
  },
  methods: {
    goBack() {
      uni.navigateBack({
        delta: 2
      })
    }
  },
  computed: {
    text() {
      return this.flag ? '处理成功！' : '处理失败'
    },
    btnText() {
      return this.flag ? '查看详情' : '我知道了'
    },
    imgSrc() {
      let {$cdn, flag} = this
      return `${$cdn}other/${flag ? 'kztcg' : 'kztsb'}.png`
    }
  }
}
</script>

<style lang="scss" scoped>
.result-page {
  min-height: 100%;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 96px;

  img {
    width: 192px;
    height: 192px;
  }

  text {
    font-size: 36px;
    font-weight: 800;
    color: #333333;
    line-height: 50px;
    display: flex;
    justify-content: center;
  }
}
</style>
